AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager
ManagerConnection Class
ManagerConnection Methods
SendAction Method
SendAction Method (ManagerAction)
SendAction Method (ManagerAction, ResponseHandler)
SendAction Method (ManagerAction, Int32)

| ManagerConnection SendAction Method (ManagerAction, Int32)

Send action ans with timeout (milliseconds)

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ManagerResponse SendAction(
    	ManagerAction action,
    	int timeOut
    )

    Public Function SendAction (
    	action As ManagerAction,
    	timeOut As Integer
    ) As ManagerResponse

    public:
    ManagerResponse^ SendAction(
    	ManagerAction^ action,
    	int timeOut
    )

    member SendAction :
            action : ManagerAction *
            timeOut : int -> ManagerResponse

#### Parameters

action
  Type: AsterNET.Manager.Action
  ManagerAction
  action to send
timeOut
  Type: System
  Int32

  [Missing <param name="timeOut"/> documentation for "M:AsterNET.Manager.ManagerConnection.SendAction(AsterNET.Manager.Action.ManagerAction,System.Int32)"]

#### Return Value

Type: ManagerResponse

[Missing <returns> documentation for "M:AsterNET.Manager.ManagerConnection.SendAction(AsterNET.Manager.Action.ManagerAction,System.Int32)"]

See Also

#### Reference

ManagerConnection Class
SendAction Overload
AsterNET.Manager Namespace